# Uses of Class
org.apache.lucene.util.BytesRefArray.SortState

Packages that use BytesRefArray.SortState
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of BytesRefArray.SortState in org.apache.lucene.util

  Methods in org.apache.lucene.util that return BytesRefArray.SortState
  Modifier and Type
  Method
  Description
  `BytesRefArray.SortState`
  BytesRefArray.`sort(Comparator<BytesRef> comp, boolean stable)`
  Returns a `BytesRefArray.SortState` representing the order of elements in this array.
  Methods in org.apache.lucene.util with parameters of type BytesRefArray.SortState
  Modifier and Type
  Method
  Description
  `BytesRefArray.IndexedBytesRefIterator`
  BytesRefArray.`iterator(BytesRefArray.SortState sortState)`
  Returns an `BytesRefArray.IndexedBytesRefIterator` with point in time semantics.